package myturtleproj;

import unit4.turtleLib.Turtle;

/**
 *  Document   : TurtleDist
 *  Created on : 06/12/2011, 10:19:40
 *  Author     : user
 */
public class MyTurtle 
{
    private double distance;
    private Turtle t;
    public MyTurtle()
    {
        t = new Turtle();
        this.distance = 0;
    }
    public void moveForward(double x)
    {
        this.distance += x;
        t.moveForward(x);
    }
    public void moveBackward(double x)
    {
        this.distance += x;
        t.moveForward(-x);
    }
    public double getDistance()
    {
        return this.distance;
    }
    public void reset()
    {
    	distance = 0;
    }
    public void turnLeft(double x)
    {
        t.turnLeft(x);
    }
    public void turnRight(double x)
    {
        t.turnRight(x);
    }
    public void tailDown()
    {
        t.tailDown();
    }
    public void tailUp()
    {
        t.tailUp();
    }
    public void setDelay(int x)
    {
        t.setDelay(x);
    }
}
